import { ScreenshotOptions, Page, WaitForOptions, BrowserLaunchArgumentOptions, BrowserContext, Browser } from 'puppeteer-core';
import { ScreenOptions, requirePuppeteerCb } from '../../interfaces/index';
export default class FacadePuppeteer {
    page: Page;
    browser: Browser | BrowserContext;
    closeBrowser: () => Promise<void>;
    static create(): FacadePuppeteer;
    constructor();
    createPage(url: string, requirePuppeteerCb: requirePuppeteerCb, waitForOptions: WaitForOptions, rendererOptions?: BrowserLaunchArgumentOptions, browserUrl?: string): Promise<void>;
    exposeClone(): Promise<void>;
    addScriptsToPage(scripts: string[]): Promise<void>;
    screenshot(opts: ScreenshotOptions): Promise<void>;
    createRequestInterceptor(opts: ScreenOptions, requestedFile: string): Promise<void>;
    renderBlocks(contentPath: string, blocks?: string[]): Promise<void>;
    getWindowData(windowProps: string[]): Promise<any>;
    getElement(selector: string): Promise<import("puppeteer-core").ElementHandle<Element>>;
}
